Index: Makefile
===================================================================
RCS file: /usr/cvsroot/asterisk-addons/format_mp3/Makefile,v
retrieving revision 1.3
diff -u -r1.3 Makefile
--- Makefile	30 Jan 2005 17:40:20 -0000	1.3
+++ Makefile	2 Jun 2005 17:05:18 -0000
@@ -28,6 +28,17 @@
 
 endif
 
+ifeq (${OSARCH},Darwin)
+OBJS+=poll.o dlfcn.o
+SOLINK=-dynamic -bundle -undefined suppress -force_flat_namespace
+else
+SOLINK=-shared -Xlinker -x
+endif
+ifeq (${OSARCH},SunOS)
+OBJS+=strcompat.o
+SOLINK=-shared -fpic -L$(CROSS_COMPILE_TARGET)/usr/local/ssl/lib
+endif
+
 ifeq (${OSARCH},FreeBSD)
 OSVERSION=$(shell make -V OSVERSION -f /usr/share/mk/bsd.port.subdir.mk)
 CFLAGS+=$(if ${OSVERSION}<500016,-D_THREAD_SAFE)
@@ -55,7 +66,7 @@
 
 
 format_mp3.so: $(MP3OBJS)
-	$(CC) $(CFLAGS) -shared -Xlinker -x -o $@ $(MP3OBJS)
+	$(CC) $(CFLAGS) $(SOLINK) -o $@ $(MP3OBJS)
 
 all: $(MODS)
 
